package com.nationrel.modules.project.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: t_pm_tg
 * @Author: nationrel
 * @Date: 2024-10-23
 * @Version: V1.0
 */
@Data
@TableName(value = "t_pm_tg", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="t_pm_tg")
public class PmTaskInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**tgId*/
	@Excel(name = "tgId", width = 15)
    @Schema(description = "tgId")
    private String tgId;
	/**projectId*/
	@Excel(name = "projectId", width = 15)
    @Schema(description = "projectId")
    private String projectId;
	/**tgName*/
	@Excel(name = "tgName", width = 15)
    @Schema(description = "tgName")
    private String tgName;
	/**tgSort*/
	@Excel(name = "tgSort", width = 15)
    @Schema(description = "tgSort")
    private Integer tgSort;
	/**planStartTime*/
	@Excel(name = "planStartTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "planStartTime")
    private Date planStartTime;
	/**planEndTime*/
	@Excel(name = "planEndTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "planEndTime")
    private Date planEndTime;
	/**startTime*/
	@Excel(name = "startTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "startTime")
    private Date startTime;
	/**endTime*/
	@Excel(name = "endTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "endTime")
    private Date endTime;
	/**percent*/
	@Excel(name = "percent", width = 15)
    @Schema(description = "percent")
    private BigDecimal percent;
	/**description*/
	@Excel(name = "description", width = 15)
    @Schema(description = "description")
    private String description;
	/**lifeState*/
	@Excel(name = "lifeState", width = 15)
    @Schema(description = "lifeState")
    private String lifeState;
	/**releaseTime*/
	@Excel(name = "releaseTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "releaseTime")
    private Date releaseTime;
	/**insertTime*/
	@Excel(name = "insertTime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "insertTime")
    private Date insertTime;
	/**insertUserId*/
	@Excel(name = "insertUserId", width = 15)
    @Schema(description = "insertUserId")
    private String insertUserId;
	/**insertPgmId*/
	@Excel(name = "insertPgmId", width = 15)
    @Schema(description = "insertPgmId")
    private String insertPgmId;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "updateTime")
    private Date updateTime;
	/**updateUserId*/
	@Excel(name = "updateUserId", width = 15)
    @Schema(description = "updateUserId")
    private String updateUserId;
	/**updatePgmId*/
	@Excel(name = "updatePgmId", width = 15)
    @Schema(description = "updatePgmId")
    private String updatePgmId;
	/**versionNo*/
	@Excel(name = "versionNo", width = 15)
    @Schema(description = "versionNo")
    private Integer versionNo;
    /**
     * 扩展字段
     */
    @Excel(name = "扩展字段", width = 15)
    @Schema(description = "扩展字段")
    @TableField(typeHandler = JacksonTypeHandler.class)
    private JSONObject extFields;
}
