package com.nationrel.modules.project.jar.dto.input;


import com.nationrel.modules.project.jar.rb_common.common.dto.Pagination;
import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * @version V1.0
 * @ClassName Rb0300151SearchInput
 * @Description 任务交付物列表选择页面搜索入参的封装类
 * @Author aaron
 * @CreateDate 2014-03-17
 */
@Data
@Component
@Scope("prototype")
public class Rb0300151SearchInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 交付选择类型 Project: 1 TG: 2 Task: 3
     */
    private Integer selectType;

    /**
     * 交付名称
     */
    private String deliveryName;

    /**
     * 交付类型Id
     */
    private String directoryId;

    /**
     * 分页信息
     */
    private Pagination pagination;

    /**
     * 是否点击搜索按钮
     */
    private String isSearch;

    private String tgId;

    private String projectId;

    private String taskId;

}
