package com.nationrel.modules.project.jar.dto.input;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.Date;

/**
 * @version V1.0
 * @ClassName Rb0300311SaveInput
 * @Description 任务保存初始化入参封装类
 * @Author ted.liu
 * @CreateDate 2013-12-18
 */
@Data
@Component
@Scope("prototype")
public class Rb0300311SaveInput implements Serializable {

    /**
     * @Fields serialVersionUID : 序列ID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 上级任务标识
     */
    private String parentTaskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 预计开始时间
     */
    private Date planStartTime;

    /**
     * 预计结束时间
     */
    private Date planEndTime;

    /**
     * TASK权重
     */
    private String shareScale;

    /**
     * 描述
     */
    private String description;

    private String projectId;

    private String tgId;

}
