// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.dto.output;

import com.nationrel.modules.project.jar.entity.BsAttachment;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @ClassName Rb0101403InitOutput
 * @Description 文档查看初始化输出
 * @Author 赵安会
 * @CreateDate 2013-11-06
 * @Version V1.0
 */
@Component
@Scope("prototype")
public class Rb0101403InitOutput implements Serializable {

    /** @Fields serialVersionUID : 序列ID */
    private static final long serialVersionUID = 1L;

    /** 文档编码 */
    private String documentCode;

    @SuppressWarnings("rawtypes")
    private Map bsDocument;

    /** 查询结果集 */
    private List<BsAttachment> list;

    /** 文档标识 */
    private String documentId;

    /** 文档名称 */
    private String documentName;

    /** 文档类型名称 */
    private String name;

    /** 文档描述 */
    private String description;

    /** 周期状态 */
    private String lifeState;

    /** 版本号 */
    private Integer versionNo;

    /** 创建者 */
    private String createName;

    /** 业务类型id */
    private String moduleId;

    /**
     * @return the list
     */
    public List<BsAttachment> getList() {
        return list;
    }

    /**
     * @param list the list to set
     */
    public void setList(List<BsAttachment> list) {
        this.list = list;
    }

    /**
     * @return the documentId
     */
    public String getDocumentId() {
        return documentId;
    }

    /**
     * @param documentId the documentId to set
     */
    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    /**
     * @return the documentName
     */
    public String getDocumentName() {
        return documentName;
    }

    /**
     * @param documentName the documentName to set
     */
    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the lifeState
     */
    public String getLifeState() {
        return lifeState;
    }

    /**
     * @param lifeState the lifeState to set
     */
    public void setLifeState(String lifeState) {
        this.lifeState = lifeState;
    }

    /**
     * @return the versionNo
     */
    public Integer getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }

    /**
     * @return the createName
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * @param createName the createName to set
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * @return the bsDocument
     */
    @SuppressWarnings("rawtypes")
    public Map getBsDocument() {
        return bsDocument;
    }

    /**
     * @param bsDocument the bsDocument to set
     */
    public void setBsDocument(@SuppressWarnings("rawtypes") Map bsDocument) {
        this.bsDocument = bsDocument;
    }

    /**
     * @return the moduleId
     */
    public String getModuleId() {
        return moduleId;
    }

    /**
     * @param moduleId the moduleId to set
     */
    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * @return the documentCode
     */
    public String getDocumentCode() {
        return documentCode;
    }

    /**
     * @param documentCode the documentCode to set
     */
    public void setDocumentCode(String documentCode) {
        this.documentCode = documentCode;
    }
}
