package com.nationrel.modules.project.jar.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @version V1.0
 * @ClassName TaskPageModel
 * @Description 任务查看页面数据的封装类
 * @Author ted.liu
 * @CreateDate 2013-12-26
 */
@Data
public class TaskPageModel {

    private String id;

    /**
     * 任务工具集合
     */
    private List<TaskToolModel> taskToolList;

    /**
     * Task权限控制
     */
    private Map<String, String> authMap;

    /**
     * tgId标识
     */
    private String tgId;

    /**
     * 父级TASK标识
     */
    private String parentTaskId;

    /**
     * TASK标识
     */
    private String taskId;

    /**
     * 层级
     */
    private Integer deep;

    /**
     * 左序号
     */
    private Integer leftNo;

    /**
     * 右序号
     */
    private Integer rightNo;

    /**
     * 类型
     */
    private String type;

    /**
     * TASK名称
     */
    private String name;

    /**
     * 预计开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planStartTime;

    /**
     * 预计结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date planEndTime;

    /**
     * 实际开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 实际结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 完成度
     */
    private BigDecimal percent;

    /**
     * 成员人数
     */
    private Integer staffNumber;

    /**
     * 文档数量
     */
    private Integer documentNumber;

    /**
     * 交付物数
     */
    private Integer deliverNum;

    /**
     * TASK权重
     */
    private BigDecimal shareScale;

    /**
     * 周期状态
     */
    private String lifeState;

    /**
     * 任务拥有者
     */
    private String owner;

    /**
     * 检查项目数
     */
    private Integer checkNumber;

    /**
     * 检查项目关闭数
     */
    private Integer closeCheckNumber;

    /**
     * 阶段名称
     */
    private String stateName;

    /**
     * 数据锁版本号
     */
    private Integer lockVersionNo;

    private Integer versionNo;

    /**
     * @Fields trTreeClass : 树形行样式
     */
    private String trTreeClass;

    /**
     * @Fields tdTreeClass : 树行列样式
     */
    private String tdTreeClass;

    /**
     * @Fields toolName : 可靠性工具名称
     */
    private String toolName;

    /**
     * @Fields toolLink : 可靠性工具链接
     */
    private String toolLink;

    private String dataType;

    private String wbs;

    private List<TaskPageModel> children;

    private int childrenCount;
}
