package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0101403InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0101403InitOutput;
import com.nationrel.modules.project.jar.service.Rb0101403InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TODO
 * @Author nijun
 * @Date 2024/11/6 17:19
 * @Version 1.0
 */
@Tag(name = "文档")
@RestController
@RequestMapping("/project/rb0101403")
@Slf4j
public class Rb0101403Controller {
    @Autowired
    private Rb0101403InitService rb0101403InitService;

    @AutoLog(value = "文档初始化")
    @Operation(summary="文档初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0101403InitInput input) {
        Rb0101403InitOutput output = new Rb0101403InitOutput();
        try {
            rb0101403InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
