package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300102DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300102InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300102MoveTgInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300102DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300102InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300102MoveTgOutput;
import com.nationrel.modules.project.jar.service.Rb0300102DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300102InitService;
import com.nationrel.modules.project.jar.service.Rb0300102MoveTgService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG")
@RestController
@RequestMapping("/project/rb0300102")
@Slf4j
public class Rb0300102Controller {

    @Autowired
    private Rb0300102DeleteService rb0300102DeleteService;
    @Autowired
    private Rb0300102InitService rb0300102InitService;
    @Autowired
    private Rb0300102MoveTgService rb0300102MoveTgService;

    @AutoLog(value = "删除")
    @Operation(summary="删除")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.POST,RequestMethod.DELETE})
    public Result<?> delete(Rb0300102DeleteInput input) {
        Rb0300102DeleteOutput output = new Rb0300102DeleteOutput();
        try {
            rb0300102DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "项目列表初始化")
    @Operation(summary="项目列表初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300102InitInput input) {
        Rb0300102InitOutput output = new Rb0300102InitOutput();
        try {
            rb0300102InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目列表搜索")
    @Operation(summary="项目列表搜索")
    @RequestMapping(value = "/search", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> search(Rb0300102MoveTgInput input) {
        Rb0300102MoveTgOutput output = new Rb0300102MoveTgOutput();
        try {
            rb0300102MoveTgService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
