package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300103InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300103InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300103InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目视图
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "项目视图")
@RestController
@RequestMapping("/project/rb0300103")
@Slf4j
public class Rb0300103Controller {

    @Autowired
    private Rb0300103InitService rb0300103InitService;

    @AutoLog(value = "项目视图初始化")
    @Operation(summary="项目视图初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300103InitInput input) {
        Rb0300103InitOutput output = new Rb0300103InitOutput();
        try {
            rb0300103InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

}
