package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300106InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300106InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300106InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务审批
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务审批")
@RestController
@RequestMapping("/project/rb0300106")
@Slf4j
public class Rb0300106Controller {

    @Autowired
    private Rb0300106InitService rb0300106InitService;

    @AutoLog(value = "项目视图初始化")
    @Operation(summary="项目视图初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300106InitInput input) {
        Rb0300106InitOutput output = new Rb0300106InitOutput();
        try {
            rb0300106InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

}
