package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300111InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300111SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300111InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300111SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300111InitService;
import com.nationrel.modules.project.jar.service.Rb0300111SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目创建
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG")
@RestController
@RequestMapping("/project/rb0300111")
@Slf4j
public class Rb0300111Controller {

    @Autowired
    private Rb0300111InitService rb0300111InitService;
    @Autowired
    private Rb0300111SaveService rb0300111SaveService;

    @AutoLog(value = "初始化")
    @Operation(summary="初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300111InitInput input) {
        Rb0300111InitOutput output = new Rb0300111InitOutput();
        try {
            rb0300111InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = " 创建项目对象")
    @Operation(summary=" 创建项目对象")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300111SaveInput input) {
        Rb0300111SaveOutput output = new Rb0300111SaveOutput();
        try {
            rb0300111SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
}
