package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300112EditInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300112InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300112EditOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300112InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300112EditService;
import com.nationrel.modules.project.jar.service.Rb0300112InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.jeecg.config.i18n.MessageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目创建
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG")
@RestController
@RequestMapping("/project/rb0300112")
@Slf4j
public class Rb0300112Controller {

    @Autowired
    private Rb0300112InitService rb0300112InitService;
    @Autowired
    private Rb0300112EditService rb0300112EditService;

    @AutoLog(value = "初始化")
    @Operation(summary="初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300112InitInput input) {
        Rb0300112InitOutput output = new Rb0300112InitOutput();
        try {
            rb0300112InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = " 项目对象编辑")
    @Operation(summary=" 项目对象编辑")
    @RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> edit(@RequestBody Rb0300112EditInput input) {
        Rb0300112EditOutput output = new Rb0300112EditOutput();
        try {
            rb0300112EditService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(MessageUtils.get("nationrel_edit_success"));
    }
}
