package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300130DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300130InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300130SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300130DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300130InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300130SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300130DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300130InitService;
import com.nationrel.modules.project.jar.service.Rb0300130SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 检查项
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG")
@RestController
@RequestMapping("/project/rb0300130")
@Slf4j
public class Rb0300130Controller {

    @Autowired
    private Rb0300130DeleteService rb0300130DeleteService;
    @Autowired
    private Rb0300130InitService rb0300130InitService;
    @Autowired
    private Rb0300130SaveService rb0300130SaveService;

    @AutoLog(value = "删除")
    @Operation(summary="删除")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> delete(Rb0300130DeleteInput input) {
        Rb0300130DeleteOutput output = new Rb0300130DeleteOutput();
        try {
            rb0300130DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "项目列表初始化")
    @Operation(summary="项目列表初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300130InitInput input) {
        Rb0300130InitOutput output = new Rb0300130InitOutput();
        try {
            rb0300130InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "保存")
    @Operation(summary="保存")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300130SaveInput input) {
        Rb0300130SaveOutput output = new Rb0300130SaveOutput();
        try {
            rb0300130SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
