package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300131SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300131SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300131SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目检查项
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG")
@RestController
@RequestMapping("/project/rb0300131")
@Slf4j
public class Rb0300131Controller {

    @Autowired
    private Rb0300131SaveService rb0300131SaveService;

    @AutoLog(value = "保存")
    @Operation(summary="保存")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300131SaveInput input) {
        Rb0300131SaveOutput output = new Rb0300131SaveOutput();
        try {
            rb0300131SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
