package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300132InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300132SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300132InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300132SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300132InitService;
import com.nationrel.modules.project.jar.service.Rb0300132SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目检查项
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "项目检查项编辑")
@RestController
@RequestMapping("/project/rb0300132")
@Slf4j
public class Rb0300132Controller {

    @Autowired
    private Rb0300132SaveService rb0300132SaveService;

    @Autowired
    private Rb0300132InitService rb0300132InitService;

    @AutoLog(value = "项目检查项编辑页面初始化")
    @Operation(summary="项目检查项编辑页面初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300132InitInput input) {
        Rb0300132InitOutput output = new Rb0300132InitOutput();
        try {
            rb0300132InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "保存")
    @Operation(summary="保存")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300132SaveInput input) {
        Rb0300132SaveOutput output = new Rb0300132SaveOutput();
        try {
            rb0300132SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
