package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300140InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300140SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300140InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300140SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300140InitService;
import com.nationrel.modules.project.jar.service.Rb0300140SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目成员列表
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "项目成员列表")
@RestController
@RequestMapping("/project/rb0300140")
@Slf4j
public class Rb0300140Controller {

    @Autowired
    private Rb0300140InitService rb0300140InitService;
    @Autowired
    private Rb0300140SaveService rb0300140SaveService;

    @AutoLog(value = "项目成员列表初始化")
    @Operation(summary="项目成员列表初始化")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300140InitInput input) {
        Rb0300140InitOutput output = null;
        try {
            output = rb0300140InitService.perform(input);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目成员列表保存")
    @Operation(summary="项目成员列表保存")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300140SaveInput input) {
        Rb0300140SaveOutput output = new Rb0300140SaveOutput();
        try {
            rb0300140SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
