package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300141AddMemberInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300141InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300141SearchGroupInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300141SearchMemberInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300141AddMemberOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300141InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300141SearchGroupOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300141SearchMemberOutput;
import com.nationrel.modules.project.jar.service.Rb0300141AddMemberService;
import com.nationrel.modules.project.jar.service.Rb0300141InitService;
import com.nationrel.modules.project.jar.service.Rb0300141SearchGroupService;
import com.nationrel.modules.project.jar.service.Rb0300141SearchMemberService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目成员选择
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "项目成员选择")
@RestController
@RequestMapping("/project/rb0300141")
@Slf4j
public class Rb0300141Controller {

    @Autowired
    private Rb0300141AddMemberService rb0300141AddMemberService;
    @Autowired
    private Rb0300141InitService rb0300141InitService;
    @Autowired
    private Rb0300141SearchGroupService rb0300141SearchGroupService;
    @Autowired
    private Rb0300141SearchMemberService rb0300141SearchMemberService;

    @AutoLog(value = "项目成员选择页面添加成员业务方法")
    @Operation(summary="项目成员选择页面添加成员业务方法")
    @RequestMapping(value = "/addMember", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> addMember(@RequestBody Rb0300141AddMemberInput input) {
        Rb0300141AddMemberOutput output = new Rb0300141AddMemberOutput();
        try {
            rb0300141AddMemberService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目成员列表初始化的业务方法")
    @Operation(summary="项目成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300141InitInput input) {
        Rb0300141InitOutput output = new Rb0300141InitOutput();
        try {
            rb0300141InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目成员选择页面组搜索业务方法")
    @Operation(summary="项目成员选择页面组搜索业务方法")
    @RequestMapping(value = "/searchGroup", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> searchGroup(Rb0300141SearchGroupInput input) {
        Rb0300141SearchGroupOutput output = new Rb0300141SearchGroupOutput();
        try {
            rb0300141SearchGroupService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目成员选择页面组搜索业务方法")
    @Operation(summary="项目成员选择页面组搜索业务方法")
    @RequestMapping(value = "/searchMember", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> searchMember(Rb0300141SearchMemberInput input) {
        Rb0300141SearchMemberOutput output = new Rb0300141SearchMemberOutput();
        try {
            rb0300141SearchMemberService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
