package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300142InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300142SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300142SaveOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300143InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300142InitService;
import com.nationrel.modules.project.jar.service.Rb0300142SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 成员编辑
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "成员编辑")
@RestController
@RequestMapping("/project/rb0300142")
@Slf4j
public class Rb0300142Controller {

    @Autowired
    private Rb0300142SaveService rb0300142SaveService;
    @Autowired
    private Rb0300142InitService rb0300142InitService;

    @AutoLog(value = "成员编辑初期化的业务方法")
    @Operation(summary="成员编辑初期化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300142InitInput input) {
        Rb0300143InitOutput output = new Rb0300143InitOutput();
        try {
            rb0300142InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "成员编辑保存的业务方法")
    @Operation(summary="成员编辑保存的业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300142SaveInput input) {
        Rb0300142SaveOutput output = new Rb0300142SaveOutput();
        try {
            rb0300142SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
