package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300143DeleteInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300143DeleteOutput;
import com.nationrel.modules.project.jar.service.Rb0300143DeleteService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 成员删除
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "成员删除")
@RestController
@RequestMapping("/project/rb0300143")
@Slf4j
public class Rb0300143Controller {

    @Autowired
    private Rb0300143DeleteService rb0300143DeleteService;

    @AutoLog(value = "成员删除的业务方法")
    @Operation(summary="成员删除的业务方法")
    @DeleteMapping(value = "/delete")
    public Result<?> delete(Rb0300143DeleteInput input) {
        Rb0300143DeleteOutput output = new Rb0300143DeleteOutput();
        try {
            rb0300143DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
