package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300150DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300150InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300150DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300150InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300150DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300150InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 项目文档
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "项目文档")
@RestController
@RequestMapping("/project/rb0300150")
@Slf4j
public class Rb0300150Controller {

    @Autowired
    private Rb0300150DeleteService rb0300150DeleteService;
    @Autowired
    private Rb0300150InitService rb0300150InitService;

    @AutoLog(value = "项目成员列表初始化的业务方法")
    @Operation(summary="项目成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300150InitInput input) {
        Rb0300150InitOutput output = new Rb0300150InitOutput();
        try {
            rb0300150InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目文档删除的业务方法")
    @Operation(summary="项目文档删除的业务方法")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.DELETE})
    public Result<?> delete(Rb0300150DeleteInput input) {
        Rb0300150DeleteOutput output = new Rb0300150DeleteOutput();
        try {
            rb0300150DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
