package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300151AddDeliveryInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300151InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300151SearchInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300151AddDeliveryOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300151InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300151SearchOutput;
import com.nationrel.modules.project.jar.service.Rb0300151AddDeliveryService;
import com.nationrel.modules.project.jar.service.Rb0300151InitService;
import com.nationrel.modules.project.jar.service.Rb0300151SearchService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 成员编辑
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "成员编辑")
@RestController
@RequestMapping("/project/rb0300151")
@Slf4j
public class Rb0300151Controller {
    @Autowired
    private Rb0300151AddDeliveryService rb0300151AddDeliveryService;
    @Autowired
    private Rb0300151SearchService rb0300151SearchService;
    @Autowired
    private Rb0300151InitService rb0300151InitService;

    @AutoLog(value = "任务交付物选择列表初始化的业务方法")
    @Operation(summary="任务交付物选择列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300151InitInput input) {
        Rb0300151InitOutput output = new Rb0300151InitOutput();
        try {
            rb0300151InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "任务交付物选择列表初始化的业务方法")
    @Operation(summary="任务交付物选择列表初始化的业务方法")
    @RequestMapping(value = "/search", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> search(Rb0300151SearchInput input) {
        Rb0300151SearchOutput output = new Rb0300151SearchOutput();
        try {
            rb0300151SearchService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "任务交付物添加的业务方法")
    @Operation(summary="任务交付物添加的业务方法")
    @RequestMapping(value = "/addDelivery", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> addDelivery(@RequestBody Rb0300151AddDeliveryInput input) {
        Rb0300151AddDeliveryOutput output = new Rb0300151AddDeliveryOutput();
        try {
            rb0300151AddDeliveryService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
