package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300160CheckInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300160InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300160CheckOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300160InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300160CheckService;
import com.nationrel.modules.project.jar.service.Rb0300160InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description Task阶段检查
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "Task阶段检查")
@RestController
@RequestMapping("/project/rb0300160")
@Slf4j
public class Rb0300160Controller {
    @Autowired
    private Rb0300160CheckService rb0300160CheckService;
    @Autowired
    private Rb0300160InitService rb0300160InitService;

    @AutoLog(value = "Task阶段检查的业务方法")
    @Operation(summary="Task阶段检查的业务方法")
    @RequestMapping(value = "/check", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> check(Rb0300160CheckInput input) {
        Rb0300160CheckOutput output = new Rb0300160CheckOutput();
        try {
            rb0300160CheckService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目阶段初始化的业务方法")
    @Operation(summary="项目阶段初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300160InitInput input) {
        Rb0300160InitOutput output = new Rb0300160InitOutput();
        try {
            rb0300160InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
