package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300210InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300210InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300210InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG查看
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG查看")
@RestController
@RequestMapping("/project/rb0300210")
@Slf4j
public class Rb0300210Controller {
    @Autowired
    private Rb0300210InitService rb0300210InitService;

    @AutoLog(value = "TG查看页面初始化业务方法")
    @Operation(summary="TG查看页面初始化业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300210InitInput input) {
        Rb0300210InitOutput output = new Rb0300210InitOutput();
        try {
            rb0300210InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
