package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300211InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300211SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300211InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300211SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300211InitService;
import com.nationrel.modules.project.jar.service.Rb0300211SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG创建
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG创建")
@RestController
@RequestMapping("/project/rb0300211")
@Slf4j
public class Rb0300211Controller {
    @Autowired
    private Rb0300211InitService rb0300211InitService;
    @Autowired
    private Rb0300211SaveService rb0300211SaveService;

    @AutoLog(value = "TG列表初始化的业务方法")
    @Operation(summary="TG列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300211InitInput input) {
        Rb0300211InitOutput output = new Rb0300211InitOutput();
        try {
            rb0300211InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "TG创建业务方法")
    @Operation(summary="TG创建业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300211SaveInput input) {
        Rb0300211SaveOutput output = new Rb0300211SaveOutput();
        try {
            rb0300211SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
}
