package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300212EditInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300212InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300212EditOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300212InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300212EditService;
import com.nationrel.modules.project.jar.service.Rb0300212InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG创建
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG创建")
@RestController
@RequestMapping("/project/rb0300212")
@Slf4j
public class Rb0300212Controller {
    @Autowired
    private Rb0300212InitService rb0300212InitService;
    @Autowired
    private Rb0300212EditService rb0300212EditService;

    @AutoLog(value = "TG编辑页面初始化业务方法")
    @Operation(summary="TG编辑页面初始化业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300212InitInput input) {
        Rb0300212InitOutput output = new Rb0300212InitOutput();
        try {
            rb0300212InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "TG编辑业务方法")
    @Operation(summary="TG编辑业务方法")
    @RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> edit(Rb0300212EditInput input) {
        Rb0300212EditOutput output = new Rb0300212EditOutput();
        try {
            rb0300212EditService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
