package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300220DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300220InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300220DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300220InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300220DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300220InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务列表初始化的业务接口
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务列表初始化的业务接口")
@RestController
@RequestMapping("/project/rb0300220")
@Slf4j
public class Rb0300220Controller {
    @Autowired
    private Rb0300220DeleteService rb0300220DeleteService;
    @Autowired
    private Rb0300220InitService rb0300220InitService;

    @AutoLog(value = "任务列表初始化的业务方法")
    @Operation(summary="任务列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300220InitInput input) {
        Rb0300220InitOutput output = new Rb0300220InitOutput();
        try {
            rb0300220InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "任务删除的业务方法")
    @Operation(summary="任务删除的业务方法")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.POST,RequestMethod.DELETE})
    public Result<?> delete(Rb0300220DeleteInput input) {
        Rb0300220DeleteOutput output = new Rb0300220DeleteOutput();
        try {
            rb0300220DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
}
