package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300231SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300231SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300231SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG检查项
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG检查项")
@RestController
@RequestMapping("/project/rb0300231")
@Slf4j
public class Rb0300231Controller {
    @Autowired
    private Rb0300231SaveService rb0300231SaveService;

    @AutoLog(value = "TG检查项保存业务方法")
    @Operation(summary="TG检查项保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300231SaveInput input) {
        Rb0300231SaveOutput output = new Rb0300231SaveOutput();
        try {
            rb0300231SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
}
