package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300232InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300232SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300232InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300232SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300232InitService;
import com.nationrel.modules.project.jar.service.Rb0300232SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG检查项编辑
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG检查项编辑")
@RestController
@RequestMapping("/project/rb0300232")
@Slf4j
public class Rb0300232Controller {
    @Autowired
    private Rb0300232InitService rb0300232InitService;
    @Autowired
    private Rb0300232SaveService rb0300232SaveService;

    @AutoLog(value = "TG检查项编辑页面初期化的业务方法")
    @Operation(summary="TG检查项编辑页面初期化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300232InitInput input) {
        Rb0300232InitOutput output = new Rb0300232InitOutput();
        try {
            rb0300232InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "TG检查项保存业务方法")
    @Operation(summary="TG检查项保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300232SaveInput input) {
        Rb0300232SaveOutput output = new Rb0300232SaveOutput();
        try {
            rb0300232SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
}
