package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300240InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300240InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300240InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG成员列表
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG成员列表")
@RestController
@RequestMapping("/project/rb0300240")
@Slf4j
public class Rb0300240Controller {
    @Autowired
    private Rb0300240InitService rb0300240InitService;

    @AutoLog(value = "TG成员列表初始化的业务方法")
    @Operation(summary="TG成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300240InitInput input) {
        Rb0300240InitOutput output = new Rb0300240InitOutput();
        try {
            rb0300240InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }
}
