package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300250DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300250InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300250DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300250InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300250DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300250InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TG文档删除
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG文档删除")
@RestController
@RequestMapping("/project/rb0300250")
@Slf4j
public class Rb0300250Controller {
    @Autowired
    private Rb0300250DeleteService rb0300250DeleteService;
    @Autowired
    private Rb0300250InitService rb0300250InitService;


    @AutoLog(value = "项目成员列表初始化的业务方法")
    @Operation(summary="项目成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300250InitInput input) {
        Rb0300250InitOutput output = new Rb0300250InitOutput();
        try {
            rb0300250InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "项目成员删除")
    @Operation(summary="项目成员删除")
    @RequestMapping(value = "/delete", method = {RequestMethod.PUT,RequestMethod.DELETE})
    public Result<?> delete(Rb0300250DeleteInput input) {
        Rb0300250DeleteOutput output = new Rb0300250DeleteOutput();
        try {
            rb0300250DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
