package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300260CheckInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300260InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300260CheckOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300260InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300260CheckService;
import com.nationrel.modules.project.jar.service.Rb0300260InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description Task阶段检查
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TG文档删除")
@RestController
@RequestMapping("/project/rb0300260")
@Slf4j
public class Rb0300260Controller {
    @Autowired
    private Rb0300260CheckService rb0300260CheckService;
    @Autowired
    private Rb0300260InitService rb0300260InitService;


    @AutoLog(value = "项目成员列表初始化的业务方法")
    @Operation(summary="项目成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300260InitInput input) {
        Rb0300260InitOutput output = new Rb0300260InitOutput();
        try {
            rb0300260InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "Task阶段检查的业务方法")
    @Operation(summary="Task阶段检查的业务方法")
    @RequestMapping(value = "/check", method = {RequestMethod.PUT,RequestMethod.POST})
    public Result<?> check(Rb0300260CheckInput input) {
        Rb0300260CheckOutput output = new Rb0300260CheckOutput();
        try {
            rb0300260CheckService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
