package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300311ChooseInitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300311ChooseStaffInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300311InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300311SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300311ChooseInitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300311ChooseStaffOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300311InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300311SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300311ChooseInitService;
import com.nationrel.modules.project.jar.service.Rb0300311ChooseStaffService;
import com.nationrel.modules.project.jar.service.Rb0300311InitService;
import com.nationrel.modules.project.jar.service.Rb0300311SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务保存
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务保存")
@RestController
@RequestMapping("/project/rb0300311")
@Slf4j
public class Rb0300311Controller {
    @Autowired
    private Rb0300311ChooseInitService rb0300311ChooseInitService;
    @Autowired
    private Rb0300311ChooseStaffService rb0300311ChooseStaffService;
    @Autowired
    private Rb0300311InitService rb0300311InitService;
    @Autowired
    private Rb0300311SaveService rb0300311SaveService;


    @AutoLog(value = "任务成员选择页面初始化的业务方法")
    @Operation(summary="任务成员选择页面初始化的业务方法")
    @RequestMapping(value = "/chooseInit", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> chooseInit(Rb0300311ChooseInitInput input) {
        Rb0300311ChooseInitOutput output = new Rb0300311ChooseInitOutput();
        try {
            rb0300311ChooseInitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "任务成员选择页面初始化的业务方法")
    @Operation(summary="任务成员选择页面初始化的业务方法")
    @RequestMapping(value = "/chooseStaff", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> chooseStaff(Rb0300311ChooseStaffInput input) {
        Rb0300311ChooseStaffOutput output = new Rb0300311ChooseStaffOutput();
        try {
            rb0300311ChooseStaffService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务创建初始化的业务方法")
    @Operation(summary="任务创建初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300311InitInput input) {
        Rb0300311InitOutput output = new Rb0300311InitOutput();
        try {
            rb0300311InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务保存初始化的业务方法")
    @Operation(summary="任务保存初始化的业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300311SaveInput input) {
        Rb0300311SaveOutput output = new Rb0300311SaveOutput();
        try {
            rb0300311SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
