package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300312InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300312SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300312InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300312SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300312InitService;
import com.nationrel.modules.project.jar.service.Rb0300312SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务编辑
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务编辑")
@RestController
@RequestMapping("/project/rb0300312")
@Slf4j
public class Rb0300312Controller {
    @Autowired
    private Rb0300312InitService rb0300312InitService;
    @Autowired
    private Rb0300312SaveService rb0300312SaveService;


    @AutoLog(value = "任务编辑初始化的业务方法")
    @Operation(summary="任务编辑初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300312InitInput input) {
        Rb0300312InitOutput output = new Rb0300312InitOutput();
        try {
            rb0300312InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务编辑保存")
    @Operation(summary="任务编辑保存")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300312SaveInput input) {
        Rb0300312SaveOutput output = new Rb0300312SaveOutput();
        try {
            rb0300312SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
