package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300330DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300330InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300330SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300330DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300330InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300330SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300330DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300330InitService;
import com.nationrel.modules.project.jar.service.Rb0300330SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description TASK检查项删除
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TASK检查项删除")
@RestController
@RequestMapping("/project/rb0300330")
@Slf4j
public class Rb0300330Controller {
    @Autowired
    private Rb0300330InitService rb0300330InitService;
    @Autowired
    private Rb0300330SaveService rb0300330SaveService;
    @Autowired
    private Rb0300330DeleteService rb0300330DeleteService;


    @AutoLog(value = "TASK检查列表初始化的业务方法")
    @Operation(summary="TASK检查列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300330InitInput input) {
        Rb0300330InitOutput output = new Rb0300330InitOutput();
        try {
            rb0300330InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "TASK检查列表保存业务方法")
    @Operation(summary="TASK检查列表保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300330SaveInput input) {
        Rb0300330SaveOutput output = new Rb0300330SaveOutput();
        try {
            rb0300330SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }
    @AutoLog(value = "TASK检查项删除的业务方法")
    @Operation(summary="TASK检查项删除的业务方法")
    @RequestMapping(value = "/delete", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> delete(Rb0300330DeleteInput input) {
        Rb0300330DeleteOutput output = new Rb0300330DeleteOutput();
        try {
            rb0300330DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
