package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300331InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300331SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300331InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300331SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300331InitService;
import com.nationrel.modules.project.jar.service.Rb0300331SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务检查项创建初期化业务接口
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "TASK检查项删除")
@RestController
@RequestMapping("/project/rb0300331")
@Slf4j
public class Rb0300331Controller {
    @Autowired
    private Rb0300331InitService rb0300331InitService;
    @Autowired
    private Rb0300331SaveService rb0300331SaveService;


    @AutoLog(value = "任务检查项创建初期化业务方法")
    @Operation(summary="任务检查项创建初期化业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300331InitInput input) {
        Rb0300331InitOutput output = new Rb0300331InitOutput();
        try {
            rb0300331InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务检查项保存业务方法")
    @Operation(summary="任务检查项保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300331SaveInput input) {
        Rb0300331SaveOutput output = new Rb0300331SaveOutput();
        try {
            rb0300331SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
