package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300332InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300332SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300332InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300332SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300332InitService;
import com.nationrel.modules.project.jar.service.Rb0300332SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务检查项保存
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务检查项保存")
@RestController
@RequestMapping("/project/rb0300332")
@Slf4j
public class Rb0300332Controller {
    @Autowired
    private Rb0300332InitService rb0300332InitService;
    @Autowired
    private Rb0300332SaveService rb0300332SaveService;


    @AutoLog(value = "任务检查项编辑页面初期化的业务方法")
    @Operation(summary="任务检查项编辑页面初期化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300332InitInput input) {
        Rb0300332InitOutput output = new Rb0300332InitOutput();
        try {
            rb0300332InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务检查项保存业务方法")
    @Operation(summary="任务检查项保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(@RequestBody Rb0300332SaveInput input) {
        Rb0300332SaveOutput output = new Rb0300332SaveOutput();
        try {
            rb0300332SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
