package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300340InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300340InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300340InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务成员列表
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务成员列表")
@RestController
@RequestMapping("/project/rb0300340")
@Slf4j
public class Rb0300340Controller {
    @Autowired
    private Rb0300340InitService rb0300340InitService;


    @AutoLog(value = "任务成员列表初始化的业务方法")
    @Operation(summary="任务成员列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300340InitInput input) {
        Rb0300340InitOutput output = new Rb0300340InitOutput();
        try {
            rb0300340InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

}
