package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300350DeleteInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300350InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300350DeleteOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300350InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300350DeleteService;
import com.nationrel.modules.project.jar.service.Rb0300350InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 任务交付列表
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "任务交付列表")
@RestController
@RequestMapping("/project/rb0300350")
@Slf4j
public class Rb0300350Controller {
    @Autowired
    private Rb0300350InitService rb0300350InitService;
    @Autowired
    private Rb0300350DeleteService rb0300350DeleteService;


    @AutoLog(value = "任务交付列表初始化的业务方法")
    @Operation(summary="任务交付列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300350InitInput input) {
        Rb0300350InitOutput output = new Rb0300350InitOutput();
        try {
            rb0300350InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "任务交付删除业务方法")
    @Operation(summary="任务交付删除业务方法")
    @RequestMapping(value = "/delete", method = {RequestMethod.DELETE,RequestMethod.GET})
    public Result<?> delete(Rb0300350DeleteInput input) {
        Rb0300350DeleteOutput output = new Rb0300350DeleteOutput();
        try {
            rb0300350DeleteService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
