package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300360CheckInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300360InitInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300360CheckOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300360InitOutput;
import com.nationrel.modules.project.jar.service.Rb0300360CheckService;
import com.nationrel.modules.project.jar.service.Rb0300360InitService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description Task步骤阶段
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "Task步骤阶段")
@RestController
@RequestMapping("/project/rb0300360")
@Slf4j
public class Rb0300360Controller {
    @Autowired
    private Rb0300360InitService rb0300360InitService;
    @Autowired
    private Rb0300360CheckService rb0300360CheckService;


    @AutoLog(value = "任务交付列表初始化的业务方法")
    @Operation(summary="任务交付列表初始化的业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300360InitInput input) {
        Rb0300360InitOutput output = new Rb0300360InitOutput();
        try {
            rb0300360InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

    @AutoLog(value = "任务交付删除业务方法")
    @Operation(summary="任务交付删除业务方法")
    @RequestMapping(value = "/check", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> check(Rb0300360CheckInput input) {
        Rb0300360CheckOutput output = new Rb0300360CheckOutput();
        try {
            rb0300360CheckService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok();
    }

}
