package com.nationrel.modules.project.controller;

import com.nationrel.modules.project.jar.dto.input.Rb0300370InitInput;
import com.nationrel.modules.project.jar.dto.input.Rb0300370SaveInput;
import com.nationrel.modules.project.jar.dto.output.Rb0300370InitOutput;
import com.nationrel.modules.project.jar.dto.output.Rb0300370SaveOutput;
import com.nationrel.modules.project.jar.service.Rb0300370InitService;
import com.nationrel.modules.project.jar.service.Rb0300370SaveService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 工具添加初始化服务
 * @Author nijun
 * @Date 2024/10/18 11:56
 * @Version 1.0
 */
@Tag(name = "工具添加初始化服务")
@RestController
@RequestMapping("/project/rb0300370")
@Slf4j
public class Rb0300370Controller {
    @Autowired
    private Rb0300370InitService rb0300370InitService;
    @Autowired
    private Rb0300370SaveService rb0300370SaveService;


    @AutoLog(value = "工具添加初期化业务方法")
    @Operation(summary="工具添加初期化业务方法")
    @RequestMapping(value = "/init", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> init(Rb0300370InitInput input) {
        Rb0300370InitOutput output = new Rb0300370InitOutput();
        try {
            rb0300370InitService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

    @AutoLog(value = "工具添加保存业务方法")
    @Operation(summary="工具添加保存业务方法")
    @RequestMapping(value = "/save", method = {RequestMethod.GET,RequestMethod.POST})
    public Result<?> save(Rb0300370SaveInput input) {
        Rb0300370SaveOutput output = new Rb0300370SaveOutput();
        try {
            rb0300370SaveService.perform(input, output);
        } catch (Exception e) {
            return Result.error(e.getMessage());
        }
        return Result.ok(output);
    }

}
