// Copyright(c) 2013 ReliaBench. All rights reserved.
package com.nationrel.modules.project.jar.mapper;

import com.nationrel.modules.project.jar.entity.BsAttachment;
import com.nationrel.modules.project.jar.rb_common.common.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @ClassName BsAttachmentMapper
 * @Description 附件表 Mapper接口
 * @Author
 * @CreateDate 2013-11-6
 * @version V1.0
 */
public interface BsAttachmentMapper extends BaseMapper<BsAttachment, String> {

    /**
     * @Title: selectByDocumentId
     * @Description: 根据文档ID获取查询列表
     * @param documentId
     * @return List<BsAttachment>
     */
    List<BsAttachment> selectByDocumentId(@Param("documentId")String documentId);

    /**
     * @Title: deleteByDocumentId
     * @Description: 根据文档ID删除
     * @param documentId
     * @return List<BsAttachment>
     */
    void deleteByDocumentId(String trim);

    /**
     * @Title: selectByAttachmentId
     * @Description: 根据附件ID获取附件信息
     * @param attachmentId
     * @return BsAttachment
     */
    BsAttachment selectByAttachmentId(@Param("attachmentId")String attachmentId);

}
