package com.nationrel.modules.project.service.impl;

import com.nationrel.modules.project.entity.PmProject;
import com.nationrel.modules.project.enums.StateEnum;
import com.nationrel.modules.project.enums.StatusEnum;
import com.nationrel.modules.project.mapper.ProjectMapper;
import com.nationrel.modules.project.service.IProjectService;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

/**
 * @Description: t_pm_project
 * @Author: nationrel
 * @Date:   2024-10-18
 * @Version: V1.0
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, PmProject> implements IProjectService {

    @Autowired
    private ProjectMapper projectMapper;

    /**
     * @Description 保存项目信息
     * @param pmProject
     * @return void
     * @Author nijun
     * @Date: 2024/10/21 16:04
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void saveProject(PmProject pmProject) {
        LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        pmProject.setInsertTime(new Date());
        pmProject.setInsertUserId(sysUser.getUsername());
        pmProject.setInsertPgmId(StringUtils.EMPTY);
        pmProject.setVersionNo(1);
        pmProject.setDelFlag(String.valueOf(StateEnum.NOT_DELETE.getValue()));
        pmProject.setLifeState(StatusEnum.COMPLETE.getValue());
        projectMapper.insert(pmProject);
    }
}
